Subject: Re: nxml-mode: pattern matching should be case-sensitive in validation

From: Rob Browning <[email-masked]>
Date: Sun, 17 Apr 2011 14:09:32 -0500

(If possible, please preserve the 288147-forwarded address in any replies.)

Vincent Lefevre <[email-masked]> writes:

> Consider the following example:

> ay:~> cat test.xml
> <?xml version="1.0"?>
> <root>Test</root>
> ay:~> cat test.rnc
> default namespace = ""
> start = element root { xsd:normalizedString { pattern = "[a-z]*" } }

> When test.xml is opened in emacs, nxml-mode says that the file is valid,
> though the root element contains a "T". If I add ASCII letters (either
> lowercase or uppercase), it still says that the file is valid, but as
> soon as I add a non-letter character, nxml-mode says that the file is
> invalid, as expected.

> As a comparison, here's what I get with xmllint:

> ay:~> trang test.rnc test.rng
> ay:~> xmllint --noout --relaxng test.rng test.xml
> test.xml:2: element root: Relax-NG validity error : Error validating datatype normalizedString
> test.xml:2: element root: Relax-NG validity error : Element root failed to validate content
> test.xml fails to validate

Please see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=288147 for
further information.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4